Package picard.cmdline

# Class CommandLineSyntaxTranslater

java.lang.Object
picard.cmdline.CommandLineSyntaxTranslater

public class CommandLineSyntaxTranslater extends Object
Class for handling translation of Picard-style command line argument syntax to POSIX-style argument syntax; used for running tests written with Picard style syntax against the Barclay command line parser.

## Constructor Summary

Constructors
Constructor
Description
`CommandLineSyntaxTranslater()`

## Method Summary

Modifier and Type
Method
Description
`static String[]`
`convertPicardStyleToPosixStyle(String[] argv)`
`static boolean`
`isLegacyPicardStyle(String[] argv)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandLineSyntaxTranslater

public CommandLineSyntaxTranslater()

## Method Details

### isLegacyPicardStyle

public static boolean isLegacyPicardStyle(String[] argv)

### convertPicardStyleToPosixStyle

public static String[] convertPicardStyleToPosixStyle(String[] argv)